> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Auflisten Domains

> Listet Kundendomains auf, die für den Principal der öffentlichen API sichtbar sind.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.de.json GET /v1/public/accounts/{account_id}/domains
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/domains:
    get:
      tags:
        - public-accounts
        - public-domains
      summary: Auflisten Domains
      description: >-
        Listet Kundendomains auf, die für den Principal der öffentlichen API
        sichtbar sind.
      operationId: list_public_domains_v1_public_accounts__account_id__domains_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: workspace_id
          required: false
          schema:
            anyOf:
              - format: uuid
                type: string
              - type: 'null'
            title: Workspace Id
        - in: query
          name: page
          required: false
          schema:
            default: 1
            title: Page
            type: integer
        - in: query
          name: page_size
          required: false
          schema:
            default: 25
            title: Page Size
            type: integer
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DomainListResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validierungsfehler
      security:
        - PublicBearerAuth: []
components:
  schemas:
    DomainListResponse:
      properties:
        items:
          description: Domains auf dieser Seite
          items:
            $ref: '#/components/schemas/DomainListRowResponse'
          title: Artikel
          type: array
        page:
          description: Aktuelle einseitige Seitenzahl
          title: Seite
          type: integer
        page_size:
          description: Maximale Anzahl an Elementen pro Seite
          title: Page Groesse
          type: integer
        total:
          description: Gesamtzahl der passenden Domains
          title: Gesamt
          type: integer
      required:
        - items
        - page
        - page_size
        - total
      title: DomainListResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    DomainListRowResponse:
      description: Kundenseitige Domain Listee row.
      properties:
        auto_renew:
          default: false
          description: Ob die automatische Verlängerung der Domain aktiviert ist
          title: Automatische Verlängerung
          type: boolean
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Zeitstempel der Domänenerstellung
          title: Erstellt At
        dedicated_ip_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Zugewiesener dedizierter IP UUID, falls vorhanden
          title: Dediziert IP Id
        id:
          description: Domäne UUID
          format: uuid
          title: ID
          type: string
        inbound_tenant_external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: Externe Anbieter-ID für den eingehenden Mandanten
          title: Inbound Tenant External ID
        inbound_tenant_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          description: Eingehender Mandant UUID, falls zugewiesen
          title: Inbound Tenant ID
        inbound_tenant_name:
          anyOf:
            - type: string
            - type: 'null'
          description: Anzeigename des eingehenden Mandanten, falls zugewiesen
          title: Name des eingehenden Mandanten
        inbound_tenant_type:
          anyOf:
            - type: string
            - type: 'null'
          description: Eingehender Mandantentyp, falls zugewiesen
          title: Inbound Tenant Typ
        name:
          description: Domainname
          title: Name
          type: string
        outbound_routing_ready:
          description: Ob das Outbound-Routing bereit ist
          title: Ausgangsrouting bereit
          type: boolean
        redirect_mode:
          anyOf:
            - enum:
                - '301'
                - '302'
                - iframe
              type: string
            - type: 'null'
          description: Konfigurierter Umleitungsmodus, falls vorhanden
          title: Redirect Modus
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          description: Konfigurierte Weiterleitungs-URL, falls vorhanden
          title: Redirect URL
        status:
          description: Status des Domänenlebenszyklus
          title: Status
          type: string
        tags:
          description: An die Domain angehängte Tags
          items:
            $ref: '#/components/schemas/DomainTagResponse'
          title: Schlagworte
          type: array
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          description: Zeitstempel der letzten Domain-Aktualisierung
          title: Aktualisiert am
        workspace_id:
          description: Arbeitsbereich UUID, der die Domäne enthält
          format: uuid
          title: Arbeitsbereichs-ID
          type: string
      required:
        - id
        - name
        - status
        - workspace_id
        - outbound_routing_ready
      title: DomainListRowResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Standort
          type: array
        msg:
          title: Nachricht
          type: string
        type:
          title: Fehler Typ
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    DomainTagResponse:
      description: Tag attached to a Domain.
      properties:
        id:
          description: Markieren Sie UUID
          format: uuid
          title: ID
          type: string
        name:
          description: Tag-Anzeigename
          title: Name
          type: string
      required:
        - id
        - name
      title: DomainTagResponse
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````